org.eclipse.viatra.query.runtime.localsearch.operations.extend

## Class ExtendBinaryTransitiveClosure.Forward

- java.lang.Object
- - org.eclipse.viatra.query.runtime.localsearch.operations.extend.ExtendBinaryTransitiveClosure
  - - org.eclipse.viatra.query.runtime.localsearch.operations.extend.ExtendBinaryTransitiveClosure.Forward

- All Implemented Interfaces:
    IPatternMatcherOperation, ISearchOperation
  Enclosing class:
    ExtendBinaryTransitiveClosure

      public static class ExtendBinaryTransitiveClosure.Forward
      extends ExtendBinaryTransitiveClosure

  Calculates the transitive closure of a pattern match in a forward direction (first parameter bound, second unbound). Note: In case the call is reflexive, it is expected that the bound parameter already matches the universe type of the call.
  Since:
    1.7

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.viatra.query.runtime.localsearch.operations.extend.ExtendBinaryTransitiveClosure

      `ExtendBinaryTransitiveClosure.Backward, ExtendBinaryTransitiveClosure.Forward`

    - ### Nested classes/interfaces inherited from interface org.eclipse.viatra.query.runtime.localsearch.operations.ISearchOperation

      `ISearchOperation.ISearchOperationExecutor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Forward(CallInformation information, int sourcePosition, int targetPosition, boolean reflexive)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.Object[]` | `calculateCallFrame(java.lang.Object seed)`
    `protected java.lang.Object` | `getTarget(Tuple frame)`

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.localsearch.operations.extend.ExtendBinaryTransitiveClosure

      `createExecutor, getCallInformation, getVariablePositions, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Forward

          public Forward(CallInformation information,
                         int sourcePosition,
                         int targetPosition,
                         boolean reflexive)

      Since:
        2.0

  - ### Method Detail

    - #### calculateCallFrame

          protected java.lang.Object[] calculateCallFrame(java.lang.Object seed)

      Specified by:
        `calculateCallFrame` in class `ExtendBinaryTransitiveClosure`

    - #### getTarget

          protected java.lang.Object getTarget(Tuple frame)

      Specified by:
        `getTarget` in class `ExtendBinaryTransitiveClosure`